/google-search-news

Returns search results from Google News based on a given search query (or many queries).

↗ Open in API Explorer
GET

Google Search News

Returns search results from Google News based on a given search query (or many queries).

Request

Endpoint: GET https://api.outscraper.com/google-search-news

Parameters

NameInTypeRequiredDescriptionExampleConstraints
query query array<string> Yes Queries to search on Google (e.g., bitcoin, 37th president of usa). It supports batching by sending arrays with up to 1000 queries (e.g., query=text1&query=text2&query=text3). It allows multiple queries to be sent in one request and to save on network latency time. - -
pagesPerQuery query integer No The parameter specifies the limit of pages to return from one query. - default 1
uule query string No Google UULE parameter is used to encode a place or an exact location (with latitude and longitude) into a code. By using it you can see a Google result page like someone located at the specified location. - -
language query string enum No The parameter specifies the language to use for website. - default en, allowed en, de, es, es-419, fr, hr, it, nl, …
region query string enum No The parameter specifies the country to use for website. It's recommended to use it for a better search experience. - allowed AF, AL, DZ, AS, AD, AO, AI, AG, …
tbs query string enum No The parameter specifies the date range of the results (h - past hour, d - past 24 hours, w - past week, m - past month, 'y' - past year). - allowed h, d, w, m, y
fields query string No The parameter defines which fields you want to include with each item returned in the response. By default, it returns all fields. Use &fields=query,name to return only the specific ones. - -
async query boolean Yes The parameter defines the way you want to submit your task to Outscraper. It can be set to false to open an HTTP connection and keep it open until you got your results, or true (default) to just submit your requests to Outscraper and retrieve them later (usually within 1-3 minutes) with the Request Results endpoint. Each response is available for 4 hours after a request has been completed. A good practice is to send async requests and start checking the results after the estimated execution time. Check out this Python implementation as an example. As most of the requests take some time to be executed the async=true option is preferred to avoid HTTP requests timeouts. - default true
ui query boolean No The parameter defines whether a task will be executed as a UI task. This is commonly used when you want to create a regular platform task with API. Using this parameter overwrites the async parameter to true. - default false
format query array<string enum> No The parameter defines the format of the output data. Using this parameter overwrites the ui parameter to true. - -
webhook query string No The parameter defines the URL address (callback) to which Outscraper will create a POST request with a JSON body once a task/request is finished. Using this parameter overwrites the webhook from integrations. - -

Responses

200

application/json

The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.

{
  "id": "your-request-id",
  "status": "Success",
  "data": [
    [
      {
        "query": "bitcoin",
        "position": 1,
        "title": "On-chain data flashes Bitcoin buy signals, but the bottom could be under \n$20K",
        "body": "Multiple indicators signal that BTC could be in a “buy zone” but analysts \ncaution that its price could still dip below $20000.",
        "posted": "1 hour ago",
        "link": "https://cointelegraph.com/news/on-chain-data-flashes-bitcoin-buy-signals-but-the-bottom-could-be-under-20k"
      },
      {
        "query": "bitcoin",
        "position": 2,
        "title": "Crypto’s Future Is Even More Exciting Than Its Present",
        "body": "Panelists at our inaugural cryptocurrency roundtable offer bold predictions \nfor Bitcoin, stablecoins, blockchain, and more.",
        "posted": "49 mins ago",
        "link": "https://www.barrons.com/articles/bitcoin-crypto-blockchain-investing-51653676116"
      },
      {
        "query": "bitcoin",
        "position": 3,
        "title": "One River’s Carbon Neutral Bitcoin ETF Rejected by SEC",
        "body": "Don't miss CoinDesk's Consensus 2022, the must-attend crypto & blockchain \nfestival experience of the year in Austin, TX this June 9-12.",
        "posted": "1 hour ago",
        "link": "https://uk.sports.yahoo.com/news/one-river-carbon-neutral-bitcoin-190209828.html"
      }
    ]
  ]
}

202

application/json

The response contains a request ID that can be used to fetch results by using Request Results endpoint. Each response is available for 4 hours after a request has been completed.

{
  "id": "your-request-id",
  "status": "Pending",
  "results_location": "https://api.outscraper.cloud/requests/your-request-id"
}

204

application/json

The request was finished with failure and has no results.

{
  "id": "your-request-id",
  "status": "Failure"
}

401

application/json

Wrong or missing API Key (token).

{
  "error": true,
  "errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}

402

application/json

Past due invoices or a payment method not connected.

{
  "error": true,
  "errorMessage": "Please close past due invoices or verify your card information is correct."
}

422

application/json

Wrong query url parameters.

{
  "error": true,
  "errorMessage": "422 Unprocessable Entity: The request was well-formed but was unable to be followed due to semantic errors."
}

Code Samples

cURL

curl -X GET "https://api.outscraper.cloud/google-search-news?query=bitcoin&async=false" -H  "X-API-KEY: YOUR-API-KEY"

cURL (async)

curl -X GET "https://api.outscraper.cloud/google-search-news?query=bitcoin" -H  "X-API-KEY: YOUR-API-KEY"

Related Endpoints